%%% Elhanan Helpman, Oleg Itskhoki, Marc-Andreas Muendler and Stephen J. Redding (2016): 
%%% "Trade and Inequality: From Theory to Estimantion," Review of Economic Studies, forthcoming

%%% STANDARD ERRORS FOR STRUCTURAL MAXIMUM LIKELIHOOD ESTRIMATES

%%% Function for main file VMC_c.m
%%% calculates the score of the log-likelihood l(Theta|x_j)
%%% Input: Theta, x_j (observation for firm j)
%%% Output: sj = s(Theta|x_j), a score vector (horizontal)

function [f] = sj_c(Theta,x);

eps=1e-4;

K = size(Theta,1);

f = (llj_c(Theta*ones(1,K)+eps*eye(K),x)-llj_c(Theta*ones(1,K)-eps*eye(K),x))/(2*eps);