%%% calculating score of the likelihood l(Theta|x_j)
%%% Input: Theta, x_j
%%% Output: sj = s(Theta|x_j), a score vector (horizontal)
%%% Constrained model with K=9 parameters; mu_w=mu_h*zeta

function [f] = sj_c(Theta,x);

eps=1e-4;

K = size(Theta,1);

f = (llj_c(Theta*ones(1,K)+eps*eye(K),x)-llj_c(Theta*ones(1,K)-eps*eye(K),x))/(2*eps);